- NAME
- SYNOPSIS
- FUNCTION DESCRIPTIONS

- MagickMonitor
- SetMonitorHandler

# NAME

monitor - ImageMagick Progress Monitor Methods

# SYNOPSIS

void MagickMonitor( const char *text, const off_t quantum, const off_t span );

MonitorHandler SetMonitorHandler( MonitorHandler handler );

# FUNCTION DESCRIPTIONS

## MagickMonitor

Method MagickMonitor calls the monitor handler methods with a text string that describes the task and a measure of completion.

The format of the MagickMonitor method is:

> void MagickMonitor ( const char *text, const off_t quantum, const off_t span );

A description of each parameter follows:

quantum:
  Specifies the quantum position within the span which represents how much progress has been made in completing a task.

span:
  Specifies the span relative to completing a task.

## SetMonitorHandler

Method SetMonitorHandler sets the monitor handler to the specified method and returns the previous monitor handler.

The format of the SetMonitorHandler method is:

> MonitorHandler SetMonitorHandler ( MonitorHandler handler );

A description of each parameter follows:

handler:
  Specifies a pointer to a method to handle monitors.